pidgin 2.14.5

Data Fields
_xmlnode Struct Reference

## Data Fields
char * | name
| The name of the node.
char * | xmlns
| The namespace of the node.
XMLNodeType | type
| The type of the node.
char * | data
| The data for the node.
size_t | data_sz
| The size of the data.
xmlnode * | parent
| The parent node or `NULL`.
xmlnode * | child
| The child node or `NULL`.
xmlnode * | lastchild
| The last child node or `NULL`.
xmlnode * | next
| The next node or `NULL`.
char * | prefix
| The namespace prefix if any.
GHashTable * | namespace_map
| The namespace map.

## Detailed Description

Definition at line 49 of file xmlnode.h.

The documentation for this struct was generated from the following file:

- xmlnode.h